<?php
/*
  $Id: product_listing.php,v 1.44 2003/06/09 22:49:59 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/
  //echo "sql===".$listing_sql;
  
  if (soobic_get_RootcategoryID($current_category_id)==$current_category_id)
	  $is_rootCategory=1;
  else
	  $is_rootCategory=0;
  
  $listing_split = new splitPageResults($listing_sql, MAX_DISPLAY_SEARCH_RESULTS, 'p.products_id');
  
  if ( ($listing_split->number_of_rows > 0) && ( (PREV_NEXT_BAR_LOCATION == '1') || (PREV_NEXT_BAR_LOCATION == '3') ) ) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr>
    <td class="smallText"><?php echo $listing_split->display_count(TEXT_DISPLAY_NUMBER_OF_PRODUCTS); ?></td>
    <td class="smallText" align="right"><?php echo TEXT_RESULT_PAGE . ' ' . $listing_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y')),soobic_get_RootcategoryName($current_category_id),soobic_get_parentcategoryName($current_category_id),soobic_get_categoryName($current_category_id),$is_rootCategory); ?></td>
  </tr>
</table>
<?php
  }

  $list_box_contents = array();

  for ($col=0, $n=sizeof($column_list); $col<$n; $col++) {
    switch ($column_list[$col]) {
      case 'PRODUCT_LIST_MODEL':
        $lc_text = TABLE_HEADING_MODEL;
        $lc_align = '';
        break;
      case 'PRODUCT_LIST_NAME':
        $lc_text = TABLE_HEADING_PRODUCTS;
        $lc_align = '';
        break;
		
      case 'PRODUCT_LIST_MANUFACTURER':
        $lc_text = TABLE_HEADING_MANUFACTURER;
        $lc_align = '';
        break;
      case 'PRODUCT_LIST_PRICE':
        $lc_text = TABLE_HEADING_PRICE;
        $lc_align = 'right';
        break;
      case 'PRODUCT_LIST_QUANTITY':
        $lc_text = TABLE_HEADING_QUANTITY;
        $lc_align = 'right';
        break;
      case 'PRODUCT_LIST_WEIGHT':
        $lc_text = TABLE_HEADING_WEIGHT;
        $lc_align = 'right';
        break;
      case 'PRODUCT_LIST_IMAGE':
        $lc_text = TABLE_HEADING_IMAGE;
        $lc_align = 'center';
        break;
	 case 'PRODUCT_LIST_CODE':
        $lc_text = TABLE_HEADING_CODE;
        $lc_align = 'center';
        break;
      case 'PRODUCT_LIST_BUY_NOW':
        $lc_text = TABLE_HEADING_BUY_NOW;
        $lc_align = 'center';
        break;

    }

    if ( ($column_list[$col] != 'PRODUCT_LIST_BUY_NOW') && ($column_list[$col] != 'PRODUCT_LIST_IMAGE') ) {
      $lc_text = tep_create_sort_heading($HTTP_GET_VARS['sort'], $col+1, $lc_text);
    }

//**************************  head  *****************************

    $list_box_contents[0][] = array('align' => $lc_align,
                                    'params' => 'class="infoBoxHeading"',
                                    'text' => '&nbsp;' . $lc_text . '&nbsp;');
  }
  
//**************************  head  *****************************

  if ($listing_split->number_of_rows > 0) {
    $rows = 0;
    $listing_query = tep_db_query($listing_split->sql_query);
    while ($listing = tep_db_fetch_array($listing_query)) {
      $rows++;

      if (($rows/2) == floor($rows/2)) {
        $list_box_contents[] = array('params' => 'class="productListing-even"');
      } else {
        $list_box_contents[] = array('params' => 'class="productListing-odd"');
      }

      $cur_row = sizeof($list_box_contents) - 1;

      for ($col=0, $n=sizeof($column_list); $col<$n; $col++) {
        $lc_align = '';

//get sub str 
	$str=str_replace(array("FEATURES"), array('FEATURES: '),  $listing['products_description']);
	$str=str_replace(array("FEATURES: :"), array('FEATURES: '),  $str);
	$str=str_replace(array("EIGENSCHAFT"), array('EIGENSCHAFT: '),  $str);
	$str=str_replace(array("EIGENSCHAFT: :"), array('EIGENSCHAFT: '),  $str);
	$str=str_replace(array("<br>"), array(' '),  $str);
	$str=strip_tags($str);
	$str=str_replace('  ','',$str);
	$str=str_replace(array("\r","\n"), array('',''),  $str);
	$str=substr($str, 0, 550);
//php 5 function
//	$pos=strripos($str," ");
//php 3,4,5 function
if(strlen($str)>160){
	$pos=strpos($str," ",160);
	$str_desc=substr_replace($str," ...",$pos);
}
else{
	$str_desc=$str;
}

		switch ($column_list[$col]) {
          case 'PRODUCT_LIST_MODEL':
            $lc_align = '';
            $lc_text = '&nbsp;' . $listing['products_model'] . '&nbsp;';
            break;
			
//******************************************************
          case 'PRODUCT_LIST_NAME':
            $lc_align = '';
//************* Search ***************        
			if (isset($HTTP_GET_VARS['manufacturers_id'])) {
              $lc_text = '<b>&nbsp;<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'manufacturers_id=' . $HTTP_GET_VARS['manufacturers_id'] . '&products_id=' . $listing['products_id']) . '" class="catalog_zi_title_link">' . $listing['products_name'] . $listing['products_code'].'</a></b><br><br>'.'<span class="text_detail">'.$str_desc.'</span>';
            if (tep_not_null($listing['specials_new_products_price'])) {
              $lc_text.= '<br><br><span class="criallks">&nbsp;&nbsp;<s>' .  $currencies->display_price($listing['products_price'], tep_get_tax_rate($listing['products_tax_class_id'])) . '</s>&nbsp;&nbsp;<span class="productSpecialPrice">' . $currencies->display_price($listing['specials_new_products_price'], tep_get_tax_rate($listing['products_tax_class_id'])) . '</span></span>';
            }
			 else {
              $lc_text.= '<br><br><span class="catalog_zi_price_link">&nbsp;&nbsp;' . $currencies->display_price($listing['products_price'], tep_get_tax_rate($listing['products_tax_class_id'])) . '</span>';
            }
//************* Common ***************
			} else {
              $lc_text = '<b>&nbsp;<a href="' . "./products/".soobic_get_RootcategoryName(soobic_get_p_categoryid($listing['products_id']))."/".soobic_get_productName($listing['products_id']).".html" .'" class="criallks">' . $listing['products_name'] . $listing['products_code']. '</a></b><br><br>'.'<span class="text_detail">'.$str_desc.'</span>';
			  if (tep_not_null($listing['specials_new_products_price'])) {
                  $lc_text.= '<br><br><span class="criallks">&nbsp;&nbsp;<s>' .  $currencies->display_price($listing['products_price'], tep_get_tax_rate($listing['products_tax_class_id'])) . '</s>&nbsp;&nbsp;<span class="productSpecialPrice">' . $currencies->display_price($listing['specials_new_products_price'], tep_get_tax_rate($listing['products_tax_class_id'])) . '</span></span>';
               }
			  else {
                  $lc_text.= '<br><br><span class="catalog_zi_price_link">&nbsp;&nbsp;' . $currencies->display_price($listing['products_price'], tep_get_tax_rate($listing['products_tax_class_id'])) . '</span>';
               }					
			}
            break;
		  case 'PRODUCT_LIST_MANUFACTURER':
            $lc_align = '';
            $lc_text = '&nbsp;<a href="' . tep_href_link(FILENAME_DEFAULT, 'manufacturers_id=' . $listing['manufacturers_id']) . '">' . $listing['manufacturers_name'] . '</a>&nbsp;';
            break;

          case 'PRODUCT_LIST_PRICE':
            $lc_align = 'right';
    //************ Specials **************
            if (tep_not_null($listing['specials_new_products_price'])) {
              $lc_text = '&nbsp;<s>' .  $currencies->display_price($listing['products_price'], tep_get_tax_rate($listing['products_tax_class_id'])) . '</s>&nbsp;&nbsp;<span class="productSpecialPrice">' . $currencies->display_price($listing['specials_new_products_price'], tep_get_tax_rate($listing['products_tax_class_id'])) . '</span>&nbsp;';
            }
   //************ Common ****************
			 else {
              $lc_text = '<br>&nbsp;' . $currencies->display_price($listing['products_price'], tep_get_tax_rate($listing['products_tax_class_id'])) . '&nbsp;';
            }
            break;
			
//******************************************************
			
          case 'PRODUCT_LIST_QUANTITY':
            $lc_align = 'right';
            $lc_text = '&nbsp;' . $listing['products_quantity'] . '&nbsp;';
            break;
          case 'PRODUCT_LIST_WEIGHT':
            $lc_align = 'right';
            $lc_text = '&nbsp;' . $listing['products_weight'] . '&nbsp;';
            break;
		 case 'PRODUCT_LIST_CODE':
            $lc_align = 'right';
            $lc_text = '&nbsp;' . $listing['products_CODE'] . '&nbsp;';
            break;
          case 'PRODUCT_LIST_IMAGE':
            $lc_align = 'center';
            
/*			$sql='select p2c.categories_id from products_to_categories p2c where p2c.products_id ='.$listing['products_id'].' order by p2c.categories_id limit 1';
			$c_query = tep_db_query($sql);
			$c_result = tep_db_fetch_array($c_query);
			$cid=$c_result['categories_id'];
			$cid=soobic_get_categoryid($cid);
			
			
			$sql="select categories_name from " . TABLE_CATEGORIES_DESCRIPTION . " where categories_id=".$cid." and language_id=4 limit 1";
			$path_categories_query=tep_db_query($sql);
			
			$path_categories=tep_db_fetch_array($path_categories_query);
*/
			if(file_exists(DIR_FS_PRODUCTS_IMAGES.$listing['products_image'])==0)
				$picture_url = "nopicture.gif";
			else 
				$picture_url = 'products_images/'. $listing['products_image'];
			
            if (isset($HTTP_GET_VARS['manufacturers_id'])) {
              $lc_text = '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'manufacturers_id=' . $HTTP_GET_VARS['manufacturers_id'] . '&products_id=' . $listing['products_id']) . '">' . tep_image(DIR_WS_IMAGES . $picture_url, $listing['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a>'.$listing['products_code'];
            } else {

              $lc_text = '&nbsp;<a href="' . "./products/".soobic_get_RootcategoryName(soobic_get_p_categoryid($listing['products_id']))."/".soobic_get_productName($listing['products_id']).".html" . '">' . tep_image(DIR_WS_IMAGES . $picture_url, $listing['products_name'],$listing['products_code'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a>&nbsp;';
            }
            break;
          case 'PRODUCT_LIST_BUY_NOW':
            $lc_align = 'center';
            $lc_text = '<a href="' . tep_href_link('index.php', tep_get_all_get_params(array('action')) . 'cPath='.$cPath.'&action=buy_now_s&products_id=' . $listing['products_id']) . '">' . tep_image_button('button_buy_now.gif', IMAGE_BUTTON_BUY_NOW) . '</a>&nbsp;';
            break;
        }

        $list_box_contents[$cur_row][] = array('align' => $lc_align,
                                               'params' => 'class="productListing-data"',
                                               'text'  => $lc_text);
      }
    }

    new productListingBox($list_box_contents);
  } else {
    $list_box_contents = array();

    $list_box_contents[0] = array('params' => 'class="productListing-odd"');
    $list_box_contents[0][] = array('params' => 'class="productListing-data"',
                                   'text' => TEXT_NO_PRODUCTS);

    new productListingBox($list_box_contents);
  }

  if ( ($listing_split->number_of_rows > 0) && ((PREV_NEXT_BAR_LOCATION == '2') || (PREV_NEXT_BAR_LOCATION == '3')) ) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr>
    <td class="smallText"><?php echo $listing_split->display_count(TEXT_DISPLAY_NUMBER_OF_PRODUCTS); ?></td>
    <td class="smallText" align="right"><?php echo TEXT_RESULT_PAGE . ' ' . $listing_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y')),soobic_get_RootcategoryName($current_category_id),soobic_get_parentcategoryName($current_category_id),soobic_get_categoryName($current_category_id),$is_rootCategory); ?></td>
  </tr>
</table>
<?php
  }
?>
